apiVersion: policy/v1beta1
kind: PodSecurityPolicy
metadata:
  name: hostaccess-{{ namespace }}-{{ muninnode_name }}
spec:
  privileged: false
  volumes:
  - configMap
  - downwardAPI
  - emptyDir
  - hostPath
  - persistentVolumeClaim
  - projected
  - secret
  hostNetwork: true
  hostIPC: false
  hostPID: true
  hostPorts:
  - min: 0
    max: 65535
  runAsUser:
    rule: RunAsAny
  seLinux:
    rule: RunAsAny
  supplementalGroups:
    rule: MustRunAs
    ranges:
    - min: 0
      max: 65535
  fsGroup:
    rule: MustRunAs
    ranges:
    - min: 0
      max: 65535
  readOnlyRootFilesystem: false
